import request from '@/utils/request'

// 查询环保批文清单列表
export function listEnvironapproval(query) {
  return request({
    url: '/ehs/environapproval/list',
    method: 'get',
    params: query
  })
}

// 查询环保批文清单详细
export function getEnvironapproval(id) {
  return request({
    url: '/ehs/environapproval/' + id,
    method: 'get'
  })
}

// 新增环保批文清单
export function addEnvironapproval(data) {
  return request({
    url: '/ehs/environapproval',
    method: 'post',
    data: data
  })
}

// 修改环保批文清单
export function updateEnvironapproval(data) {
  return request({
    url: '/ehs/environapproval',
    method: 'put',
    data: data
  })
}

// 删除环保批文清单
export function delEnvironapproval(id) {
  return request({
    url: '/ehs/environapproval/' + id,
    method: 'delete'
  })
}

// 导出环保批文清单
export function exportEnvironapproval(query) {
  return request({
    url: '/ehs/environapproval/export',
    method: 'get',
    params: query
  })
}
